Index: /palm/trunk/SOURCE/lagrangian_particle_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/lagrangian_particle_model_mod.f90	(revision 4647)
+++ /palm/trunk/SOURCE/lagrangian_particle_model_mod.f90	(revision 4648)
@@ -3925,25 +3824,21 @@
 !
 !--                Determine the sublayer. Further used as index.
-                   height_p = ( zv(n) - zw(k_wall) - z0_av_global )            &
-                                        * REAL( number_of_sublayers, KIND=wp ) &
+                   height_p = ( zv(n) - zw(k_wall) - z0_av_global )                                &
+                                        * REAL( number_of_sublayers, KIND=wp )                     &
                                         * d_z_p_z0
 !
 !--                Calculate LOG(z/z0) for exact particle height. Therefore,
 !--                interpolate linearly between precalculated logarithm.
-                   log_z_z0_int = log_z_z0(INT(height_p))                      &
-                                    + ( height_p - INT(height_p) )             &
-                                    * ( log_z_z0(INT(height_p)+1)              &
-                                         - log_z_z0(INT(height_p))             &
-                                      )
+                   log_z_z0_int = log_z_z0( INT( height_p ) ) + ( height_p - INT( height_p ) ) *   &
+                                  ( log_z_z0( INT( height_p ) + 1 ) - log_z_z0( INT( height_p ) ) )
 !
 !--                Compute u*-portion for u-component based on mean roughness.
-!--                Note, neutral solution is applied for all situations, e.g. also for
-!--                unstable and stable situations. Even though this is not exact
-!--                this saves a lot of CPU time since several calls of intrinsic
-!--                FORTRAN procedures (LOG, ATAN) are avoided, This is justified
-!--                as sensitivity studies revealed no significant effect of
-!--                using the neutral solution also for un/stable situations. Based on the u*
-!--                recalculate the velocity at height z_particle. Since the analytical solution
-!--                only yields absolute values, include the sign using the intrinsic SIGN function.
+!--                Note, neutral solution is applied for all situations, e.g. also for unstable and
+!--                stable situations. Even though this is not exact this saves a lot of CPU time
+!--                since several calls of intrinsic FORTRAN procedures (LOG, ATAN) are avoided. This
+!--                is justified as sensitivity studies revealed no significant effect of using the
+!--                neutral solution also for un/stable situations. Based on the u* recalculate the
+!--                velocity at height z_particle. Since the analytical solution only yields absolute
+!--                values, include the sign using the intrinsic SIGN function.
                    us_int   = kappa * 0.5_wp * ABS( u(k_wall+1,jp,ip) + u(k_wall+1,jp,ip+1) ) /    &
                               log_z_z0(number_of_sublayers)
@@ -3953,6 +3848,6 @@
                 ENDIF
 !
-!--          Particle above the first grid level. Bi-linear interpolation in the
-!--          horizontal and linear interpolation in the vertical direction.
+!--          Particle above the first grid level. Bi-linear interpolation in the horizontal and
+!--          linear interpolation in the vertical direction.
              ELSE
                 x  = xv(n) - i * dx
@@ -3964,16 +3859,15 @@
                 gg = aa + bb + cc + dd
 
-                u_int_l = ( ( gg - aa ) * u(k,j,i)   + ( gg - bb ) * u(k,j,i+1)   &
-                            + ( gg - cc ) * u(k,j+1,i) + ( gg - dd ) *            &
-                            u(k,j+1,i+1) ) / ( 3.0_wp * gg ) - u_gtrans
+                u_int_l = ( ( gg - aa ) * u(k,j,i)   + ( gg - bb ) * u(k,j,i+1)                    &
+                            + ( gg - cc ) * u(k,j+1,i) + ( gg - dd ) * u(k,j+1,i+1) )              &
+                          / ( 3.0_wp * gg ) - u_gtrans
 
                 IF ( k == nzt )  THEN
                    u_int(n) = u_int_l
                 ELSE
-                   u_int_u = ( ( gg-aa ) * u(k+1,j,i) + ( gg-bb ) * u(k+1,j,i+1)  &
-                               + ( gg-cc ) * u(k+1,j+1,i) + ( gg-dd ) *           &
-                               u(k+1,j+1,i+1) ) / ( 3.0_wp * gg ) - u_gtrans
-                   u_int(n) = u_int_l + ( zv(n) - zu(k) ) / dzw(k+1) *            &
-                              ( u_int_u - u_int_l )
+                   u_int_u = ( ( gg-aa ) * u(k+1,j,i) + ( gg-bb ) * u(k+1,j,i+1)                   &
+                               + ( gg-cc ) * u(k+1,j+1,i) + ( gg-dd ) * u(k+1,j+1,i+1) )           &
+                             / ( 3.0_wp * gg ) - u_gtrans
+                   u_int(n) = u_int_l + ( zv(n) - zu(k) ) / dzw(k+1) * ( u_int_u - u_int_l )
                 ENDIF
              ENDIF
@@ -3998,25 +3892,23 @@
 !
 !--                Determine the sublayer. Further used as index.
-                   height_p = ( zv(n) - zw(k_wall) - z0_av_global )            &
-                                        * REAL( number_of_sublayers, KIND=wp ) &
+                   height_p = ( zv(n) - zw(k_wall) - z0_av_global )                                &
+                                        * REAL( number_of_sublayers, KIND=wp )                     &
                                         * d_z_p_z0
 !
-!--                Calculate LOG(z/z0) for exact particle height. Therefore,
-!--                interpolate linearly between precalculated logarithm.
-                   log_z_z0_int = log_z_z0(INT(height_p))                      &
-                                    + ( height_p - INT(height_p) )             &
-                                    * ( log_z_z0(INT(height_p)+1)              &
-                                         - log_z_z0(INT(height_p))             &
+!--                Calculate LOG(z/z0) for exact particle height. Therefore, interpolate linearly
+!--                between precalculated logarithm.
+                   log_z_z0_int = log_z_z0(INT(height_p))                                          &
+                                    + ( height_p - INT(height_p) )                                 &
+                                    * ( log_z_z0(INT(height_p)+1) - log_z_z0(INT(height_p))        &
                                       )
 !
 !--                Compute u*-portion for v-component based on mean roughness.
-!--                Note, neutral solution is applied for all situations, e.g. also for
-!--                unstable and stable situations. Even though this is not exact
-!--                this saves a lot of CPU time since several calls of intrinsic
-!--                FORTRAN procedures (LOG, ATAN) are avoided, This is justified
-!--                as sensitivity studies revealed no significant effect of
-!--                using the neutral solution also for un/stable situations. Based on the u*
-!--                recalculate the velocity at height z_particle. Since the analytical solution
-!--                only yields absolute values, include the sign using the intrinsic SIGN function.
+!--                Note, neutral solution is applied for all situations, e.g. also for unstable and
+!--                stable situations. Even though this is not exact this saves a lot of CPU time
+!--                since several calls of intrinsic FORTRAN procedures (LOG, ATAN) are avoided, This
+!--                is justified as sensitivity studies revealed no significant effect of using the
+!--                neutral solution also for un/stable situations. Based on the u* recalculate the
+!--                velocity at height z_particle. Since the analytical solution only yields absolute
+!--                values, include the sign using the intrinsic SIGN function.
                    us_int   = kappa * 0.5_wp * ABS( v(k_wall+1,jp,ip) + v(k_wall+1,jp+1,ip) ) /    &
                               log_z_z0(number_of_sublayers)
@@ -4034,6 +3926,6 @@
                 gg = aa + bb + cc + dd
 
-                v_int_l = ( ( gg - aa ) * v(k,j,i)   + ( gg - bb ) * v(k,j,i+1)   &
-                          + ( gg - cc ) * v(k,j+1,i) + ( gg - dd ) * v(k,j+1,i+1) &
+                v_int_l = ( ( gg - aa ) * v(k,j,i)   + ( gg - bb ) * v(k,j,i+1)                    &
+                          + ( gg - cc ) * v(k,j+1,i) + ( gg - dd ) * v(k,j+1,i+1)                  &
                           ) / ( 3.0_wp * gg ) - v_gtrans
 
@@ -4041,9 +3933,8 @@
                    v_int(n) = v_int_l
                 ELSE
-                   v_int_u = ( ( gg-aa ) * v(k+1,j,i)   + ( gg-bb ) * v(k+1,j,i+1)   &
-                             + ( gg-cc ) * v(k+1,j+1,i) + ( gg-dd ) * v(k+1,j+1,i+1) &
+                   v_int_u = ( ( gg-aa ) * v(k+1,j,i)   + ( gg-bb ) * v(k+1,j,i+1)                 &
+                             + ( gg-cc ) * v(k+1,j+1,i) + ( gg-dd ) * v(k+1,j+1,i+1)               &
                              ) / ( 3.0_wp * gg ) - v_gtrans
-                   v_int(n) = v_int_l + ( zv(n) - zu(k) ) / dzw(k+1) *               &
-                                     ( v_int_u - v_int_l )
+                   v_int(n) = v_int_l + ( zv(n) - zu(k) ) / dzw(k+1) * ( v_int_u - v_int_l )
                 ENDIF
              ENDIF
@@ -4065,6 +3956,6 @@
                 gg = aa + bb + cc + dd
 
-                w_int_l = ( ( gg - aa ) * w(k,j,i)   + ( gg - bb ) * w(k,j,i+1)   &
-                          + ( gg - cc ) * w(k,j+1,i) + ( gg - dd ) * w(k,j+1,i+1) &
+                w_int_l = ( ( gg - aa ) * w(k,j,i)   + ( gg - bb ) * w(k,j,i+1)                    &
+                          + ( gg - cc ) * w(k,j+1,i) + ( gg - dd ) * w(k,j+1,i+1)                  &
                           ) / ( 3.0_wp * gg )
 
@@ -4072,11 +3963,10 @@
                    w_int(n) = w_int_l
                 ELSE
-                   w_int_u = ( ( gg-aa ) * w(k+1,j,i)   + &
-                               ( gg-bb ) * w(k+1,j,i+1) + &
-                               ( gg-cc ) * w(k+1,j+1,i) + &
-                               ( gg-dd ) * w(k+1,j+1,i+1) &
+                   w_int_u = ( ( gg-aa ) * w(k+1,j,i)   +                                          &
+                               ( gg-bb ) * w(k+1,j,i+1) +                                          &
+                               ( gg-cc ) * w(k+1,j+1,i) +                                          &
+                               ( gg-dd ) * w(k+1,j+1,i+1)                                          &
                              ) / ( 3.0_wp * gg )
-                   w_int(n) = w_int_l + ( zv(n) - zw(k) ) / dzw(k+1) *            &
-                              ( w_int_u - w_int_l )
+                   w_int(n) = w_int_l + ( zv(n) - zw(k) ) / dzw(k+1) * ( w_int_u - w_int_l )
                 ENDIF
              ELSE
@@ -4087,6 +3977,5 @@
     ENDIF
 
-!-- Interpolate and calculate quantities needed for calculating the SGS
-!-- velocities
+!-- Interpolate and calculate quantities needed for calculating the SGS velocities
     IF ( use_sgs_for_particles  .AND.  .NOT. cloud_droplets )  THEN
 
@@ -4100,7 +3989,7 @@
              j = jp + MERGE( -1_iwp , 1_iwp, BTEST( nb, 1 ) )
              k = kp + MERGE( -1_iwp , 1_iwp, BTEST( nb, 0 ) )
-             IF ( .NOT. BTEST(wall_flags_total_0(k,  jp, ip), 0) .OR.             &
-                  .NOT. BTEST(wall_flags_total_0(kp, j,  ip), 0) .OR.             &
-                  .NOT. BTEST(wall_flags_total_0(kp, jp, i ), 0) )                &
+             IF ( .NOT. BTEST(wall_flags_total_0(k,  jp, ip), 0) .OR.                              &
+                  .NOT. BTEST(wall_flags_total_0(kp, j,  ip), 0) .OR.                              &
+                  .NOT. BTEST(wall_flags_total_0(kp, jp, i ), 0) )                                 &
              THEN
                 subbox_at_wall = .TRUE.
@@ -4108,5 +3997,5 @@
           ENDIF
           IF ( subbox_at_wall )  THEN
-             e_int(start_index(nb):end_index(nb))     = e(kp,jp,ip) 
+             e_int(start_index(nb):end_index(nb))     = e(kp,jp,ip)
              diss_int(start_index(nb):end_index(nb))  = diss(kp,jp,ip)
              de_dx_int(start_index(nb):end_index(nb)) = de_dx(kp,jp,ip)
@@ -4132,6 +4021,6 @@
                 gg = aa + bb + cc + dd
 
-                e_int_l = ( ( gg-aa ) * e(k,j,i)   + ( gg-bb ) * e(k,j,i+1)   &
-                          + ( gg-cc ) * e(k,j+1,i) + ( gg-dd ) * e(k,j+1,i+1) &
+                e_int_l = ( ( gg-aa ) * e(k,j,i)   + ( gg-bb ) * e(k,j,i+1)                        &
+                          + ( gg-cc ) * e(k,j+1,i) + ( gg-dd ) * e(k,j+1,i+1)                      &
                           ) / ( 3.0_wp * gg )
 
@@ -4144,20 +4033,18 @@
                                ( gg - dd ) * e(k+1,j+1,i+1) &
                             ) / ( 3.0_wp * gg )
-                   e_int(n) = e_int_l + ( zv(n) - zu(k) ) / dzw(k+1) *            &
-                                     ( e_int_u - e_int_l )
+                   e_int(n) = e_int_l + ( zv(n) - zu(k) ) / dzw(k+1) * ( e_int_u - e_int_l )
                 ENDIF
 !
-!--             Needed to avoid NaN particle velocities (this might not be
-!--             required any more)
+!--             Needed to avoid NaN particle velocities (this might not be required any more)
                 IF ( e_int(n) <= 0.0_wp )  THEN
                    e_int(n) = 1.0E-20_wp
                 ENDIF
 !
-!--             Interpolate the TKE gradient along x (adopt incides i,j,k and
-!--             all position variables from above (TKE))
-                de_dx_int_l = ( ( gg - aa ) * de_dx(k,j,i)   + &
-                                ( gg - bb ) * de_dx(k,j,i+1) + &
-                                ( gg - cc ) * de_dx(k,j+1,i) + &
-                                ( gg - dd ) * de_dx(k,j+1,i+1) &
+!--             Interpolate the TKE gradient along x (adopt incides i,j,k and all position variables
+!--             from above (TKE))
+                de_dx_int_l = ( ( gg - aa ) * de_dx(k,j,i)   +                                     &
+                                ( gg - bb ) * de_dx(k,j,i+1) +                                     &
+                                ( gg - cc ) * de_dx(k,j+1,i) +                                     &
+                                ( gg - dd ) * de_dx(k,j+1,i+1)                                     &
                                ) / ( 3.0_wp * gg )
 
@@ -4165,28 +4052,28 @@
                    de_dx_int(n) = de_dx_int_l
                 ELSE
-                   de_dx_int_u = ( ( gg - aa ) * de_dx(k+1,j,i)   + &
-                                   ( gg - bb ) * de_dx(k+1,j,i+1) + &
-                                   ( gg - cc ) * de_dx(k+1,j+1,i) + &
-                                   ( gg - dd ) * de_dx(k+1,j+1,i+1) &
+                   de_dx_int_u = ( ( gg - aa ) * de_dx(k+1,j,i)   +                                &
+                                   ( gg - bb ) * de_dx(k+1,j,i+1) +                                &
+                                   ( gg - cc ) * de_dx(k+1,j+1,i) +                                &
+                                   ( gg - dd ) * de_dx(k+1,j+1,i+1)                                &
                                   ) / ( 3.0_wp * gg )
-                   de_dx_int(n) = de_dx_int_l + ( zv(n) - zu(k) ) / dzw(k+1) *    &
+                   de_dx_int(n) = de_dx_int_l + ( zv(n) - zu(k) ) / dzw(k+1) *                     &
                                               ( de_dx_int_u - de_dx_int_l )
                 ENDIF
 !
 !--             Interpolate the TKE gradient along y
-                de_dy_int_l = ( ( gg - aa ) * de_dy(k,j,i)   + &
-                                ( gg - bb ) * de_dy(k,j,i+1) + &
-                                ( gg - cc ) * de_dy(k,j+1,i) + &
-                                ( gg - dd ) * de_dy(k,j+1,i+1) &
+                de_dy_int_l = ( ( gg - aa ) * de_dy(k,j,i)   +                                     &
+                                ( gg - bb ) * de_dy(k,j,i+1) +                                     &
+                                ( gg - cc ) * de_dy(k,j+1,i) +                                     &
+                                ( gg - dd ) * de_dy(k,j+1,i+1)                                     &
                                ) / ( 3.0_wp * gg )
                 IF ( ( k+1 == nzt+1 )  .OR.  ( k == nzb ) )  THEN
                    de_dy_int(n) = de_dy_int_l
                 ELSE
-                   de_dy_int_u = ( ( gg - aa ) * de_dy(k+1,j,i)   + &
-                                   ( gg - bb ) * de_dy(k+1,j,i+1) + &
-                                   ( gg - cc ) * de_dy(k+1,j+1,i) + &
-                                   ( gg - dd ) * de_dy(k+1,j+1,i+1) &
+                   de_dy_int_u = ( ( gg - aa ) * de_dy(k+1,j,i)   +                                &
+                                   ( gg - bb ) * de_dy(k+1,j,i+1) +                                &
+                                   ( gg - cc ) * de_dy(k+1,j+1,i) +                                &
+                                   ( gg - dd ) * de_dy(k+1,j+1,i+1)                                &
                                   ) / ( 3.0_wp * gg )
-                      de_dy_int(n) = de_dy_int_l + ( zv(n) - zu(k) ) / dzw(k+1) * &
+                      de_dy_int(n) = de_dy_int_l + ( zv(n) - zu(k) ) / dzw(k+1) *                  &
                                                  ( de_dy_int_u - de_dy_int_l )
                 ENDIF
@@ -4197,8 +4084,8 @@
                    de_dz_int(n) = 0.0_wp
                 ELSE
-                   de_dz_int_l = ( ( gg - aa ) * de_dz(k,j,i)   + &
-                                   ( gg - bb ) * de_dz(k,j,i+1) + &
-                                   ( gg - cc ) * de_dz(k,j+1,i) + &
-                                   ( gg - dd ) * de_dz(k,j+1,i+1) &
+                   de_dz_int_l = ( ( gg - aa ) * de_dz(k,j,i)   +                                  &
+                                   ( gg - bb ) * de_dz(k,j,i+1) +                                  &
+                                   ( gg - cc ) * de_dz(k,j+1,i) +                                  &
+                                   ( gg - dd ) * de_dz(k,j+1,i+1)                                  &
                                   ) / ( 3.0_wp * gg )
 
@@ -4206,10 +4093,10 @@
                       de_dz_int(n) = de_dz_int_l
                    ELSE
-                      de_dz_int_u = ( ( gg - aa ) * de_dz(k+1,j,i)   + &
-                                      ( gg - bb ) * de_dz(k+1,j,i+1) + &
-                                      ( gg - cc ) * de_dz(k+1,j+1,i) + &
-                                      ( gg - dd ) * de_dz(k+1,j+1,i+1) &
+                      de_dz_int_u = ( ( gg - aa ) * de_dz(k+1,j,i)   +                             &
+                                      ( gg - bb ) * de_dz(k+1,j,i+1) +                             &
+                                      ( gg - cc ) * de_dz(k+1,j+1,i) +                             &
+                                      ( gg - dd ) * de_dz(k+1,j+1,i+1)                             &
                                      ) / ( 3.0_wp * gg )
-                      de_dz_int(n) = de_dz_int_l + ( zv(n) - zu(k) ) / dzw(k+1) * &
+                      de_dz_int(n) = de_dz_int_l + ( zv(n) - zu(k) ) / dzw(k+1) *                  &
                                                  ( de_dz_int_u - de_dz_int_l )
                    ENDIF
@@ -4218,8 +4105,8 @@
 !
 !--             Interpolate the dissipation of TKE
-                diss_int_l = ( ( gg - aa ) * diss(k,j,i)   + &
-                               ( gg - bb ) * diss(k,j,i+1) + &
-                               ( gg - cc ) * diss(k,j+1,i) + &
-                               ( gg - dd ) * diss(k,j+1,i+1) &
+                diss_int_l = ( ( gg - aa ) * diss(k,j,i)   +                                       &
+                               ( gg - bb ) * diss(k,j,i+1) +                                       &
+                               ( gg - cc ) * diss(k,j+1,i) +                                       &
+                               ( gg - dd ) * diss(k,j+1,i+1)                                       &
                                ) / ( 3.0_wp * gg )
 
@@ -4227,10 +4114,10 @@
                    diss_int(n) = diss_int_l
                 ELSE
-                   diss_int_u = ( ( gg - aa ) * diss(k+1,j,i)   + &
-                                  ( gg - bb ) * diss(k+1,j,i+1) + &
-                                  ( gg - cc ) * diss(k+1,j+1,i) + &
-                                  ( gg - dd ) * diss(k+1,j+1,i+1) &
+                   diss_int_u = ( ( gg - aa ) * diss(k+1,j,i)   +                                  &
+                                  ( gg - bb ) * diss(k+1,j,i+1) +                                  &
+                                  ( gg - cc ) * diss(k+1,j+1,i) +                                  &
+                                  ( gg - dd ) * diss(k+1,j+1,i+1)                                  &
                                  ) / ( 3.0_wp * gg )
-                   diss_int(n) = diss_int_l + ( zv(n) - zu(k) ) / dzw(k+1) *      &
+                   diss_int(n) = diss_int_l + ( zv(n) - zu(k) ) / dzw(k+1) *                       &
                                             ( diss_int_u - diss_int_l )
                 ENDIF
@@ -4250,16 +4137,14 @@
           DO  n = start_index(nb), end_index(nb)
 !
-!--          Vertical interpolation of the horizontally averaged SGS TKE and
-!--          resolved-scale velocity variances and use the interpolated values
-!--          to calculate the coefficient fs, which is a measure of the ratio
-!--          of the subgrid-scale turbulent kinetic energy to the total amount
+!--          Vertical interpolation of the horizontally averaged SGS TKE and resolved-scale velocity
+!--          variances and use the interpolated values to calculate the coefficient fs, which is a
+!--          measure of the ratio of the subgrid-scale turbulent kinetic energy to the total amount
 !--          of turbulent kinetic energy.
              IF ( k == 0 )  THEN
                 e_mean_int = hom(0,1,8,0)
              ELSE
-                e_mean_int = hom(k,1,8,0) +                                    &
-                                           ( hom(k+1,1,8,0) - hom(k,1,8,0) ) / &
-                                           ( zu(k+1) - zu(k) ) *               &
-                                           ( zv(n) - zu(k) )
+                e_mean_int = hom(k,1,8,0) + ( hom(k+1,1,8,0) - hom(k,1,8,0) ) /                    &
+                                            ( zu(k+1) - zu(k) ) *                                  &
+                                            ( zv(n) - zu(k) )
              ENDIF
 
@@ -4274,9 +4159,9 @@
                                          ( 1.0_wp * ( zw(kw+1) - zw(kw) ) ) )
              ELSE
-                aa  = hom(k,1,30,0) + ( hom(k+1,1,30,0) - hom(k,1,30,0) ) *    &
+                aa  = hom(k,1,30,0) + ( hom(k+1,1,30,0) - hom(k,1,30,0) ) *                        &
                            ( ( zv(n) - zu(k) ) / ( zu(k+1) - zu(k) ) )
-                bb  = hom(k,1,31,0) + ( hom(k+1,1,31,0) - hom(k,1,31,0) ) *    &
+                bb  = hom(k,1,31,0) + ( hom(k+1,1,31,0) - hom(k,1,31,0) ) *                        &
                            ( ( zv(n) - zu(k) ) / ( zu(k+1) - zu(k) ) )
-                cc  = hom(kw,1,32,0) + ( hom(kw+1,1,32,0)-hom(kw,1,32,0) ) *   &
+                cc  = hom(kw,1,32,0) + ( hom(kw+1,1,32,0)-hom(kw,1,32,0) ) *                       &
                            ( ( zv(n) - zw(kw) ) / ( zw(kw+1)-zw(kw) ) )
              ENDIF
@@ -4284,10 +4169,10 @@
              vv_int = ( 1.0_wp / 3.0_wp ) * ( aa + bb + cc )
 !
-!--          Needed to avoid NaN particle velocities. The value of 1.0 is just
-!--          an educated guess for the given case.
+!--          Needed to avoid NaN particle velocities. The value of 1.0 is just an educated guess for
+!--          the given case.
              IF ( vv_int + ( 2.0_wp / 3.0_wp ) * e_mean_int == 0.0_wp )  THEN
                 fs_int(n) = 1.0_wp
              ELSE
-                fs_int(n) = ( 2.0_wp / 3.0_wp ) * e_mean_int /                 &
+                fs_int(n) = ( 2.0_wp / 3.0_wp ) * e_mean_int /                                     &
                             ( vv_int + ( 2.0_wp / 3.0_wp ) * e_mean_int )
              ENDIF
@@ -4312,10 +4197,10 @@
 !
 !--          Calculate the Lagrangian timescale according to Weil et al. (2004).
-             lagr_timescale(n) = ( 4.0_wp * e_int(n) + 1E-20_wp ) / &
-                              ( 3.0_wp * fs_int(n) * c_0 * diss_int(n) + 1E-20_wp )
-
-!
-!--          Calculate the next particle timestep. dt_gap is the time needed to
-!--          complete the current LES timestep.
+             lagr_timescale(n) = ( 4.0_wp * e_int(n) + 1E-20_wp ) /                                &
+                                 ( 3.0_wp * fs_int(n) * c_0 * diss_int(n) + 1E-20_wp )
+
+!
+!--          Calculate the next particle timestep. dt_gap is the time needed to complete the current
+!--          LES timestep.
              dt_gap(n) = dt_3d - particles(n)%dt_sum
              dt_particle(n) = MIN( dt_3d, 0.025_wp * lagr_timescale(n), dt_gap(n) )
@@ -4323,6 +4208,6 @@
              particles(n)%aux2 = dt_gap(n)
 !
-!--          The particle timestep should not be too small in order to prevent
-!--          the number of particle timesteps of getting too large
+!--          The particle timestep should not be too small in order to prevent the number of
+!--          particle timesteps of getting too large
              IF ( dt_particle(n) < dt_min_part )  THEN
                 IF ( dt_min_part < dt_gap(n) )  THEN
@@ -4340,35 +4225,28 @@
              IF ( particles(n)%age == 0.0_wp )  THEN
 !
-!--             For new particles the SGS components are derived from the SGS
-!--             TKE. Limit the Gaussian random number to the interval
-!--             [-5.0*sigma, 5.0*sigma] in order to prevent the SGS velocities
-!--             from becoming unrealistically large.
-                rvar1_temp(n) = SQRT( 2.0_wp * sgs_wf_part * e_int(n)          &
-                                          + 1E-20_wp ) * rg(n,1)
-                rvar2_temp(n) = SQRT( 2.0_wp * sgs_wf_part * e_int(n)          &
-                                          + 1E-20_wp ) * rg(n,2)
-                rvar3_temp(n) = SQRT( 2.0_wp * sgs_wf_part * e_int(n)          &
-                                          + 1E-20_wp ) * rg(n,3)
+!--             For new particles the SGS components are derived from the SGS TKE. Limit the
+!--             Gaussian random number to the interval [-5.0*sigma, 5.0*sigma] in order to prevent
+!--             the SGS velocities from becoming unrealistically large.
+                rvar1_temp(n) = SQRT( 2.0_wp * sgs_wf_part * e_int(n) + 1E-20_wp ) * rg(n,1)
+                rvar2_temp(n) = SQRT( 2.0_wp * sgs_wf_part * e_int(n) + 1E-20_wp ) * rg(n,2)
+                rvar3_temp(n) = SQRT( 2.0_wp * sgs_wf_part * e_int(n) + 1E-20_wp ) * rg(n,3)
              ELSE
 !
-!--             Restriction of the size of the new timestep: compared to the 
+!--             Restriction of the size of the new timestep: compared to the
 !--             previous timestep the increase must not exceed 200%. First,
 !--             check if age > age_m, in order to prevent that particles get zero
 !--             timestep.
-                dt_particle_m = MERGE( dt_particle(n),                         &
-                                       particles(n)%age - particles(n)%age_m,  &
-                                       particles(n)%age - particles(n)%age_m < &
-                                       1E-8_wp )
+                dt_particle_m = MERGE( dt_particle(n),                                             &
+                                       particles(n)%age - particles(n)%age_m,                      &
+                                       particles(n)%age - particles(n)%age_m < 1E-8_wp )
                 IF ( dt_particle(n) > 2.0_wp * dt_particle_m )  THEN
                    dt_particle(n) = 2.0_wp * dt_particle_m
                 ENDIF
 
-!--             For old particles the SGS components are correlated with the
-!--             values from the previous timestep. Random numbers have also to
-!--             be limited (see above).
-!--             As negative values for the subgrid TKE are not allowed, the
-!--             change of the subgrid TKE with time cannot be smaller than
-!--             -e_int(n)/dt_particle. This value is used as a lower boundary
-!--             value for the change of TKE 
+!--             For old particles the SGS components are correlated with the values from the
+!--             previous timestep. Random numbers have also to be limited (see above).
+!--             As negative values for the subgrid TKE are not allowed, the change of the subgrid
+!--             TKE with time cannot be smaller than -e_int(n)/dt_particle. This value is used as a
+!--             lower boundary value for the change of TKE
                 de_dt_min = - e_int(n) / dt_particle(n)
 
@@ -4379,15 +4257,12 @@
                 ENDIF
 
-                CALL weil_stochastic_eq( rvar1_temp(n), fs_int(n), e_int(n),    &
-                                        de_dx_int(n), de_dt, diss_int(n),       &
-                                        dt_particle(n), rg(n,1), term_1_2(n) )
-
-                CALL weil_stochastic_eq( rvar2_temp(n), fs_int(n), e_int(n),    &
-                                        de_dy_int(n), de_dt, diss_int(n),       &
-                                        dt_particle(n), rg(n,2), term_1_2(n) )
-
-                CALL weil_stochastic_eq( rvar3_temp(n), fs_int(n), e_int(n),    &
-                                        de_dz_int(n), de_dt, diss_int(n),       &
-                                        dt_particle(n), rg(n,3), term_1_2(n) )
+                CALL weil_stochastic_eq( rvar1_temp(n), fs_int(n), e_int(n), de_dx_int(n), de_dt,  &
+                                         diss_int(n), dt_particle(n), rg(n,1), term_1_2(n) )
+
+                CALL weil_stochastic_eq( rvar2_temp(n), fs_int(n), e_int(n), de_dy_int(n), de_dt,  &
+                                         diss_int(n), dt_particle(n), rg(n,2), term_1_2(n) )
+
+                CALL weil_stochastic_eq( rvar3_temp(n), fs_int(n), e_int(n), de_dz_int(n), de_dt,  &
+                                         diss_int(n), dt_particle(n), rg(n,3), term_1_2(n) )
 
              ENDIF
